<div class="umb-dialog" ng-controller="UmbracoForms.Editors.Form.MoveController">

  <div class="umb-dialog-body">
    <div class="umb-pane">

      <p class="abstract" ng-hide="success">
        Select the folder to move <strong>{{source.name}}</strong> to in the tree structure below.
      </p>

      <umb-loader ng-show="busy"></umb-loader>

      <div ng-show="errorMessage">
        <div class="alert alert-error">
          <div>{{errorMessage}}</div>
        </div>
      </div>

      <div ng-show="success">
        <div class="alert alert-success">
          <strong>{{source.name}}</strong> was moved underneath <strong>{{target.name}}</strong>.
        </div>
        <button type="button" class="btn btn-primary" ng-click="close()">Ok</button>
      </div>

      <div ng-hide="success">

        <div>
          <umb-tree section="forms"
                    treealias="form"
                    customtreeparams="foldersonly=1"
                    hideheader="false"
                    hideoptions="true"
                    isdialog="true"
                    api="dialogTreeApi"
                    on-init="onTreeInit()"
                    enablecheckboxes="true">
          </umb-tree>
        </div>

      </div>
    </div>
  </div>

  <div class="umb-dialog-footer btn-toolbar umb-btn-toolbar" ng-hide="success">
    <button type="button" class="btn btn-link" ng-click="close()" ng-show="!busy">
      <localize key="general_cancel">Cancel</localize>
    </button>
    <button class="btn btn-primary" ng-click="move()" ng-disabled="busy || !target">
      <localize key="actions_move">Move</localize>
    </button>
  </div>
</div>
